Subject: Re: bug#21671: [PATCH] fix python.el hanging up during fontification #21657

From: immerrr again <[email-masked]>
Date: Sat, 24 Oct 2015 19:04:44 +0300

On Mon, Oct 12, 2015 at 2:48 PM, immerrr again <[email-masked]> wrote:
> Two patches are included.
>

Is there anything that prevents merging the second patch
(0002-Prevent-infinite-...) that fixes the situation described below?

>
> The other infinite loop I found accidentally when adding a whitespace
> before module docstring. I have fixed one corner-case of it, but in
> other circumstances I'd argue that whatever smart extensions
> python-mode adds to forward-sexp, those extensions should never move
> point less than the normal forward-sexp should.

Cheers,
immerrr